package route

import (
	"github.com/gofiber/fiber/v2"
	"iptables-helper/internel/controller"
	"iptables-helper/pkg/config"
)

func SetupRoute(app *fiber.App, conf *config.Conf) {
	if conf.Server.EnableSwag {
		SwaggerHandler(app)
	}

	controller.SetupController(app)
}
